Problem Weak-linking a framework in Code Warrior 9.6

lord_nemesis
Unregistered
 
Post: #1
How can I weak link a framework using Code Warrior 9.6. Earlier in CodeWarrior 8, We had a .lcf file for doing this. Buts its not working after we upgraded to Code Warrior 9.6. Anyone got a clue of whats to be done in Code Warrior 9.6. I am using Code Warrior 9.6 and Mac OS X Tiger (10.4) on a 2 GHz Dual Processor PowerMac.
Quote this message in a reply
Luminary
Posts: 5,143
Joined: 2002.04
Post: #2
*shrug*

If it's calling through to the Apple linker somehow, the -weak_framework option does it.

CodeWarrior is dead, anyway. It will never support Intel Macs. Switch to Xcode now, rather than panicking in six months when they start shipping Smile
Quote this message in a reply
lord_nemesis
Unregistered
 
Post: #3
Porting to XCODE is already underway, but for the present, We are still using Code Warrior and need to do this.
Quote this message in a reply
Post Reply 

Possibly Related Threads...
Thread: Author Replies: Views: Last Post
  Problem linking Squirrel language with SqPlus bronxbomber92 8 5,597 Aug 3, 2007 05:46 PM
Last Post: bronxbomber92
  Basic C problem(code snippet) Byron Clarke 8 3,965 Sep 17, 2005 12:13 AM
Last Post: Steven